package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag496;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT496Creator;

public class Tag11rCreator extends AbsTagCreate {
    private MT496Creator mt496Creator;

    public Tag11rCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt496Creator= (MT496Creator) absMTCreator;
    }

    public void creator()
    {
        String tag11aValue = mt496Creator.getMtAndDateoftheOriginalMessage();
        mt496Creator.set("11R", tag11aValue);
    }
}
